summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-05-07 17:33:49 +0000
committerMichał Górny <mgorny@gentoo.org>2014-05-07 17:33:49 +0000
commit8085e0a11da730f5b4877104f9b6f7c3b8e007b4 (patch)
treeb415ac7c4ac2b550cc1941e3b20ad4659fa15bf7 /eclass
parentx86 stable wrt bug #504210 (diff)
downloadgentoo-2-8085e0a11da730f5b4877104f9b6f7c3b8e007b4.tar.gz
gentoo-2-8085e0a11da730f5b4877104f9b6f7c3b8e007b4.tar.bz2
gentoo-2-8085e0a11da730f5b4877104f9b6f7c3b8e007b4.zip
Use amd64 headers for i686 when USE=-abi_x86_32 to maintain compatibility with current state of emul-linux. Fixes bug #509556.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/multilib-build.eclass10
2 files changed, 14 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 0451fea31d97..046973051a85 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1241 2014/05/06 20:43:44 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1242 2014/05/07 17:33:49 mgorny Exp $
+
+ 07 May 2014; Michał Górny <mgorny@gentoo.org> multilib-build.eclass:
+ Use amd64 headers for i686 when USE=-abi_x86_32 to maintain compatibility
+ with current state of emul-linux. Fixes bug #509556.
06 May 2014; Pacho Ramos <pacho@gentoo.org> emul-linux-x86.eclass:
Move headers to a separate directory, bug #509556
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index ddf11cc90708..fd5b89347b19 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.46 2014/05/01 09:52:27 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.47 2014/05/07 17:33:49 mgorny Exp $
# @ECLASS: multilib-build.eclass
# @MAINTAINER:
@@ -454,6 +454,14 @@ _EOF_
# Note: match a space afterwards to avoid collision potential.
sed -e "/${abi_flag} /s&error.*&include <${CHOST}${f}>&" \
-i "${ED}/tmp/multilib-include${f}" || die
+
+ # Hack for emul-linux-x86 compatibility.
+ # It assumes amd64 will come after x86, and will use amd64
+ # headers if no specific x86 headers were installed.
+ if [[ ${ABI} == amd64 ]]; then
+ sed -e "/abi_x86_32 /s&error.*&include <${CHOST}${f}>&" \
+ -i "${ED}/tmp/multilib-include${f}" || die
+ fi
fi
done
fi